Skip to main content
`Ctrl`+`K`

# PEPConvergedReason

Reason a polynomial eigensolver was determined to have converged or diverged.

## Synopsis

    typedef enum {/* converged */
                  PEP_CONVERGED_TOL                =  1,
                  PEP_CONVERGED_USER               =  2,
                  /* diverged */
                  PEP_DIVERGED_ITS                 = -1,
                  PEP_DIVERGED_BREAKDOWN           = -2,
                  PEP_DIVERGED_SYMMETRY_LOST       = -3,
                  PEP_CONVERGED_ITERATING          =  0} PEPConvergedReason;

## Values

- `PEP_CONVERGED_TOL` - converged up to tolerance

- `PEP_CONVERGED_USER` - converged due to a user-defined condition

- `PEP_DIVERGED_ITS` - exceeded the maximum number of allowed iterations

- `PEP_DIVERGED_BREAKDOWN` - generic breakdown in method

- `PEP_DIVERGED_SYMMETRY_LOST` - pseudo-Lanczos was not able to keep symmetry

- `PEP_CONVERGED_ITERATING` - the solver is still running

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSolve()`, `PEPGetConvergedReason()`, `PEPSetTolerances()`

## Level

intermediate

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages